=== modified file '.bzrignore'
--- .bzrignore	2017-05-22 08:13:13 +0000
+++ .bzrignore	2017-05-26 15:36:41 +0000
@@ -5,5 +5,7 @@
 minibuild/build
 minibuild/ctwm
 *.html
+doc/devman/Makefile*
+doc/devman/build
 doc/manual/ctwm.1
 doc/manual/ctwm.1.xml

=== added directory 'doc/devman'
=== added file 'doc/devman/index.adoc'
--- doc/devman/index.adoc	1970-01-01 00:00:00 +0000
+++ doc/devman/index.adoc	2017-05-26 15:36:41 +0000
@@ -0,0 +1,5 @@
+= CTWM Developer's Manual
+
+Eventually, this will be a full compendium of all the information that a
+Real CTWM Dev will already have in their head and never need to be
+reminded of.

=== added file 'doc/devman/mkmk.sh'
--- doc/devman/mkmk.sh	1970-01-01 00:00:00 +0000
+++ doc/devman/mkmk.sh	2017-05-26 15:36:41 +0000
@@ -0,0 +1,51 @@
+#!/bin/sh
+cd `dirname $0`
+
+echo "Generating Makefile"
+exec 4<&1
+exec 1>Makefile
+
+# Will need to be smarter if/when we add a 'combined'.
+FILES="*.adoc"
+
+
+# Heading
+cat << EOF
+## GENERATED FILE
+
+BDIR=build
+ADOC=asciidoctor -atoc -anumbered
+
+# Default target
+all: \${BDIR}
+
+\${BDIR}:
+	mkdir -p \${BDIR}
+
+clean:
+	rm -rf \${BDIR}
+
+allclean: clean
+	rm -f Makefile
+
+
+# Individual files
+
+EOF
+
+
+# Now list the files
+for i in ${FILES}; do
+	in="${i}"
+	out="\${BDIR}/`echo ${i} | sed -E -e 's/(.*)\.adoc/\1.html/'`"
+	echo "all: ${out}"
+	echo "${out}: ${in}"
+	printf "\t\${ADOC} -o ${out} ${in}\n"
+	echo
+done
+
+
+
+exec 1<&4
+
+echo "Done."

